LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
ComponentChangeEvent Struct Reference

This event is fired when a change becomes effective on the source of the event. More...

`import"ComponentChangeEvent.idl";`

Inheritance diagram for ComponentChangeEvent:

## Public Attributes
string | Component
| The name of the Component that changed. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

This event is fired when a change becomes effective on the source of the event.

See Also
  XBackendChangesNotifier

## Member Data Documentation

string Component

The name of the Component that changed.

The documentation for this struct was generated from the following file:

- com/sun/star/configuration/backend/ComponentChangeEvent.idl